account/urls.py
from django.conf.urls import url
from django.contrib.auth import views


urlpatterns = [
    # previous login view
    # url(r'^login/$', views.user_login, name='login'),

    # login / logout urls

    url(r'^logout/$', views.logout, name='logout'),
    url(r'^logout-then-login/$', views.logout_then_login,
        name='logout_then_login'),
    url(r'', views.login, name='login'),
]

clienti/urls.py
from django.conf.urls import url
from . import views

urlpatterns = [
    url(r'client/add/$', views.ClientCreate.as_view(), name='client-create'),
    url(r'client/(?P<pk>[0-9]+)/$', views.ClientUpdate.as_view(), name='client-update'),
    url(r'client/(?P<pk>[0-9]+)/delete/$', views.ClientDelete.as_view(), name='client-delete'),
    url(r'', views.servicii_clienti, name='clienti'),
]

homepage/urls.py
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^search-results/$', views.search_results, name="search-results"),
    url(r'^update-time/$', views.change_client_time, name="change_client_time"),
    url(r'', views.adauga_client, name='homepage')
]

mysite/urls.py
from django.conf.urls import url, include
from django.contrib import admin


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^homepage/', include('homepage.urls', namespace="homepage")),
    url(r'^servicii/', include('servicii.urls', namespace='servicii')),
    url(r'^clienti/', include('clienti.urls', namespace='clienti')),
    url(r'^', include('account.urls', namespace='account')),
]

servicii/urls.py
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'servicii/(?P<pk>[0-9]+)/delete/$', views.ServiciuDelete.as_view(), name='serviciu-delete'),
    url(r'', views.servicii, name='adauga_servicii'),
]

homepage/models.py
import datetime

from django.utils.timezone import get_current_timezone
from django.db import models
from django.urls import reverse
from django.utils import timezone


class Serviciu(models.Model):
    serviciu = models.CharField(max_length=200)

    class Meta:
        verbose_name_plural = "servicii"

    def __str__(self):
        return self.serviciu

    def get_absolute_url(self):
        return reverse('serviciu-detail', kwargs={'pk': self.pk})


class Client(models.Model):
    nume = models.CharField(max_length=50)
    prenume = models.CharField(max_length=50)
    servicii = models.ManyToManyField(Serviciu)
    data_ora = models.DateTimeField(default=timezone.now)

    class Meta:
        verbose_name_plural = "clienti"

    def __str__(self):
        if (type(self.data_ora) != str):
            return self.nume.capitalize() + " " + self.prenume.capitalize() + \
                   " - " + self.data_ora.strftime("%Y-%m-%d %H:%M")
        else:
            return self.nume.capitalize() + " " + self.prenume.capitalize() + \
                   " - " + self.data_ora

    def get_absolute_url(self):
        return reverse('clienti:clienti')

    def programat_azi(self):
        return ((self.data_ora <= timezone.now() + datetime.timedelta(days=1)) and
                (self.data_ora >= timezone.now()))

    def get_date(self):
        "Returns the client's appointment date."
        return '%s' % (self.data_ora)

    def get_full_name(self):
        "Returns the client's full name."
        return '%s:%s %s' % (self.pk, self.nume.capitalize(), self.prenume.capitalize())

homepage/forms.py
from django import forms
from django.forms import CheckboxSelectMultiple

from .models import Serviciu, Client


class ServiciuForm(forms.ModelForm):

    class Meta:
        model = Serviciu
        fields = ['serviciu']


class ClientForm(forms.ModelForm):

    class Meta:
        model = Client
        fields = ['nume', 'prenume', 'servicii', 'data_ora']
        widgets = {
            'servicii': CheckboxSelectMultiple(),
            # 'data_ora': DateTimePicker(),
        }

homepage/views.py
from django.http import HttpResponse
from django.http import HttpResponseRedirect
from django.http import JsonResponse
from django.shortcuts import render
from django.contrib.auth.decorators import login_required
from django.core import serializers
from django.db.models import Q

from .forms import ClientForm
from .models import Client, Serviciu


def intro(request):
    return render(request, 'homepage/client_add.html')


@login_required
def adauga_client(request):
    # if this is a POST request we need to process the form data
    if request.method == 'POST':
        # create a form instance and populate it with data from the request:
        form = ClientForm(request.POST)

        # check whether it's valid:
        if form.is_valid():
            # process the data in form.cleaned_data as required
            # ...
            print('aadsfasdfa')
            print('the value is --->' + form['data_ora'].value())
            form.save()

        return HttpResponseRedirect('homepage/client_add.html')

    # if a GET (or any other method) we'll create a blank form
    else:
        form = ClientForm()
        clienti = Client.objects.all()
        print("a")
        clienti_date = ""
        for client in clienti:
            clienti_date += client.get_date() + ", "

        clienti_full_name = ""

        for client in clienti:
            clienti_full_name += client.get_full_name() + ", "

        return render(request, 'homepage/client_add.html',
                      {'form': form,
                       'clienti': clienti,
                       'clienti_date': clienti_date,
                       'clienti_full_name': clienti_full_name})


def search_results(request):
    if 'q' in request.GET and request.GET['q']:
        q = request.GET['q']

        nume_prenume = Q(nume__icontains=q) | Q(prenume__icontains=q)
        clienti = Client.objects.filter(nume_prenume)
        servicii = Serviciu.objects.filter(serviciu__icontains=q)
        return render(request, 'homepage/search_results.html',
                      {'clienti': clienti, 'servicii': servicii, 'query': q})
    else:
        return HttpResponse('Va rugam sa introduceti un termen de cautare')


def change_client_time(request):

    if request.is_ajax():
        client = Client.objects.get(pk=request.POST.get('client_id'))
        client.data_ora = request.POST.get('client_time')
        client.save()

    return HttpResponse(client.data_ora)

homepage/templates/homepage/base.html
<!DOCTYPE html>
<html lang="en">

<head>

    <meta>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script> 
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <!-- Loads the path to your static files -->
    {% load staticfiles %}
    <link rel='stylesheet' type='text/css' href="{% static 'fullcalendar/fullcalendar.css' %}">
    <script type='text/javascript' src="{% static 'fullcalendar/lib/moment.min.js' %}"></script>
    <script type='text/javascript' src="{% static 'fullcalendar/fullcalendar.js' %}"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'homepage/style.css' %}">

    <script>
        var clienti_js = "{{ clienti_date }}";
        var clienti_full_name = "{{ clienti_full_name }}"
        var clienti = "{{ clienti }}"
    </script>
    
    {{ form.media }}
    
</head>

<body>
    
    <nav class="navbar navbar-inverse">
        <div class="container-fluid">
            
            <!-- Logo -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#topNavBar">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{% url 'homepage:homepage' %}">Logo</a>
            </div>
            
            <!-- Items -->
            <div class="collapse navbar-collapse">
                <ul class="nav navbar-nav">
                    <li>
                        <a href="{% url 'servicii:adauga_servicii' %}">Servicii</a>
                    </li>
                    <li>
                        <a href="{% url 'clienti:clienti' %}">Clienti</a>
                    </li>
                </ul>
                
                <form class="navbar-form navbar-left" role="search" method="get" action="{% url 'homepage:search-results' %}">
                    <div class="form-group">
                        <input type="text" class="form-control" name="q" value="">
                    </div>
                    <button type="submit" class="btn btn-primary">Cauta</button>
                </form>
                
                <ul class="nav navbar-nav navbar-right">
                    <li class="">
                        <a href="{% url 'account:logout_then_login' %}">
                            <span class="glyphicon glyphicon-off" aria-hidden="true"></span>&nbsp; Logout
                        </a>
                    </li>
                </ul>
                
            </div>
            
        </div>
    </nav>
    
    {% block content %} {% endblock %}
    
    <script src="{% static 'homepage/base.js' %}"></script>
    
</body>

</html>

homepage/templates/homepage/client_add.html
{% extends 'homepage/base.html' %} {% block content %}

<div class="container">

    <div class="row" id="btnAdd" style="margin-bottom:30px">
        <div class="col-md-2">
            <button class="btn btn-info">Adauga programare</button>
        </div>
    </div>

    <div id="client-add">

        <div class="form-group row">
            <h5 class="col-sm-4"><strong>Introdu o noua programare</strong></h5>
        </div>

        <form class="form-horizontal" method="POST" action="" role="form">
            {% csrf_token %} {% include 'homepage/form-template.html' %}

            <div class="form-group row">
                <div class="col-sm-3">
                    <button type="submit" class="btn btn-info" value="submit">Introdu</button>
                </div>

                <div class="col-sm-offset-1 col-sm-3">
                    <button class="btn btn-warning" id="btn-back">Inapoi</button>
                </div>
            </div>


        </form>

    </div>

    <div class="row">
        <div class="col-md-12">
            <div id='calendar'>
                <div id="csrf-token">{% csrf_token %}</div>
            </div>
        </div>
    </div>

</div>

{% endblock %}

homepage/templates/homepage/client_confirm_delete.html
<form action="" method="post">{% csrf_token %}
    <p>Confirmati stergerea urmatoarei programari: "{{ object }}"?</p>
    <input type="submit" value="Accepta" />
</form>

homepage/templates/homepage/form-template.html
{% for field in form %}
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <span class="text-danger small">{{ field.errors }}</span>
        </div>
        <label class="control-label col-sm-2">{{ field.label_tag }}</label>
        <div class="col-sm-6">{{ field }}</div>
        {% if field.help_text %}
            <p class="help">{{ field.help_text|safe }}</p>
        {% endif %}
    </div>
{% endfor %}

homepage/templates/homepage/search_results.html
{% extends 'homepage/base.html' %}

{% block content %}

<div class="container">

<h4>Ati cautat pentru: <strong>{{ query }}</strong></h4>

{% if clienti or servicii %}

    {% if clienti %}

        <h4>Gasit {{ clienti|length }} clien{{ clienti|pluralize:"t,ti" }}:</h4>

        <div class=" list-group">
            {% for client in clienti %}
                <a href="{% url 'clienti:client-update' client.id %}" class="list-group-item">{{ client }}</a>
            {% endfor %}
        </div>

    {% endif %}

    {% if servicii %}

        <h4>Gasit {{ servicii|length }} servici{{ servicii|pluralize:"u,i" }}:</h4>

        <ul class="list-group">
            {% for serviciu in servicii %}
                <li class="list-group-item">{{ serviciu }}</li>
            {% endfor %}
        </ul>

    {% endif %}

{% else %}

    <h4>Nici un client sau serviciu nu a fost gasit pentru parametri de cautare.</h4>

{% endif %}

</div>

{% endblock %}

homepage/templates/homepage/serviciu_confirm_delete.html
<form action="" method="post">{% csrf_token %}
    <p>Confirmati stergerea urmatorului serviciu: "{{ object }}"?</p>
    <input type="submit" value="Accepta" />
</form>